Đến nội dung


Hình ảnh
- - - - -

Nhờ Các Pro Edit Lisp Chuyển Các Đối Tượng Trong Block Về Layer 0


  • Please log in to reply
4 replies to this topic

#1 htqk9

htqk9

    biết vẽ circle

  • Members
  • PipPip
  • 38 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 02 July 2015 - 03:13 PM

Nhờ các pro thêm hộ mình vào lisp dòng chọn đối tượng theo p, c, w, l, cp, wp, all...thk so much

 

 

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; ;;sua ma dxf block ;;Cu phap su dung (duy:block_s_dxf block mdxf thanh) ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; (defun block_s_dxf (blk mdxf thanh / e el name ob lname name mdxf thanh) (setq name (cdr (assoc 2 (entget blk)))) (if (not (member name lname)) (progn (setq lname (append lname (list name))) (setq e (cdr (assoc -2 (tblsearch "BLOCK" name)))) (while e (setq el (entget e)) (cond ((wcmatch (cdr (assoc 0 el)) "INSERT") (block_s_dxf e mdxf thanh) ) ) (setq Ent (subst (cons mdxf thanh) (assoc mdxf el) el)) (entmod ent) (setq e (entnext e)) );while );progn );if (command ".move" (ssget "x" (list (cons 0 "INSERT")(cons 2 name))) "" (list 0 0 0) (list 0 0 0)) ) (DEFUN C:dlb () (setq dttd (car(entsel "Chon BLOCK!"))) (block_s_dxf dttd 8 "0") (block_s_dxf dttd 62 256) )


Bài viết đã được chỉnh sửa nội dung bởi htqk9: 02 July 2015 - 03:15 PM

  • -1
...nothing 4ever...

#2 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 02 July 2015 - 09:34 PM

Bạn đang làm 1 bài văn mà chủ đề chẳng ăn nhập gì với nội dung. Vậy nên theo chủ đề hay nội dung?


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#3 htqk9

htqk9

    biết vẽ circle

  • Members
  • PipPip
  • 38 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 03 July 2015 - 08:32 AM

Bạn đang làm 1 bài văn mà chủ đề chẳng ăn nhập gì với nội dung. Vậy nên theo chủ đề hay nội dung?

xin lỗi...mình hơi ẩu...

Tình hình là mình đang dùng lisp dlb của bạn Duy (dùng để chuyển các layer trong block về layer 0), lisp này rất tốt nhưng bị hạn chế là chỉ chọn được 1 đối tượng 1, không có chế độ select object nhiều đối tượng cùng lúc như lệnh thông thường (copy, move, rotate...)

Mình k biết gì về lisp lên mong bạn và các a e trên diễn đàn edit giúp mình

XIn chân thành cảm ơn!


  • -1
...nothing 4ever...

#4 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 04 July 2015 - 11:24 AM

xin lỗi...mình hơi ẩu...

Tình hình là mình đang dùng lisp dlb của bạn Duy (dùng để chuyển các layer trong block về layer 0), lisp này rất tốt nhưng bị hạn chế là chỉ chọn được 1 đối tượng 1, không có chế độ select object nhiều đối tượng cùng lúc như lệnh thông thường (copy, move, rotate...)

Mình k biết gì về lisp lên mong bạn và các a e trên diễn đàn edit giúp mình

XIn chân thành cảm ơn!

Hề hề hề,

Nếu muốn có chế độ chọn một lúc nhiều đối tượng thì bạn phải tạo thêm vòng lặp qua các đối tượng đó. chứ không phải đơn giản như bạn nghĩ. 


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#5 anti lazy

anti lazy

    biết lệnh erase

  • Members
  • PipPipPip
  • 107 Bài viết
Điểm đánh giá: 27 (tàm tạm)

Đã gửi 06 July 2015 - 08:00 AM

Sau hơn 7 năm đăng ký thành viên, kết quả là con số 0.

Đối với những y/c sửa lisp như thế này, hay dễ hơn là biểu thị số lẻ thập phân, chỉ cần học không quá 7 ngày là làm được.

CADVIET bây giờ có quá nhiều mem đăng ký chỉ để xin chứ không chịu học hỏi gì cả.

Quá thất vọng


  • 0